"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _ListCache = require("./_ListCache.js");
const _stackClear = require("./_stackClear.js");
const _stackDelete = require("./_stackDelete.js");
const _stackGet = require("./_stackGet.js");
const _stackHas = require("./_stackHas.js");
const _stackSet = require("./_stackSet.js");
function Stack(entries) {
  var data = this.__data__ = new _ListCache.default(entries);
  this.size = data.size;
}
Stack.prototype.clear = _stackClear.default;
Stack.prototype["delete"] = _stackDelete.default;
Stack.prototype.get = _stackGet.default;
Stack.prototype.has = _stackHas.default;
Stack.prototype.set = _stackSet.default;
exports.default = Stack;
